## grib-api 1.19.0

=== data/CMakeLists.txt ===
# data/CMakeLists.txt
add_subdirectory(tigge)

# Download all the binary GRIB data from website

file(READ "grib_data_files.txt" files_to_download)
string(REGEX REPLACE "\n" ";" files_to_download "${files_to_download}")
if( HAVE_AEC )
    list(APPEND files_to_download ccsds.grib2)
endif()


# Download all data files doing md5 check on each
ecbuild_get_test_multidata( TARGET grib_api_download_gribs
                            NAMES ${files_to_download} )

if( ENABLE_TESTS )
  set_property( TEST grib_api_download_gribs APPEND PROPERTY LABELS download_data )
endif()


# Copy other files - e.g. reference data, text files etc from the source data dir
LIST(APPEND other_files
    60_model_levels
    bitmap.diff
    ieee_test.good
    index.ok
    index_f90.ok
    julian.out.good
    list_points
    local.good.log
    ls.log
    multi.ok
    multi_step.txt
    no_bitmap.diff
    read_any.ok
    scan_x_regular_gg_5_7_good.dump
    scan_x_regular_ll_5_4_good.dump
    scan_x_regular_ll_5_7_good.dump
    scan_x_regular_ll_8_4_good.dump
    scan_x_regular_ll_8_7_good.dump
    scan_x_rotated_ll_5_4_good.dump
    scan_x_rotated_ll_5_7_good.dump
    scan_x_rotated_ll_8_4_good.dump
    scan_x_rotated_ll_8_7_good.dump
    scan_y_regular_ll_5_4_good.dump
    scan_y_regular_ll_5_7_good.dump
    scan_y_regular_ll_8_4_good.dump
    scan_y_regular_ll_8_7_good.dump
    scan_y_rotated_ll_5_4_good.dump
    scan_y_rotated_ll_5_7_good.dump
    scan_y_rotated_ll_8_4_good.dump
    scan_y_rotated_ll_8_7_good.dump
    spherical_model_level.grib1.good
    spherical_model_level.grib1_32.good
    statistics.out.good
    step.log
    step_grib1.filter
    step_grib1.log
    typeOfProcessedData.ok
    tigge_pf_ecmwf.grib2.ref
)

foreach( file ${other_files} )
   execute_process( COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_SOURCE_DIR}/${file} ${CMAKE_CURRENT_BINARY_DIR} )
endforeach()

=== samples/CMakeLists.txt ===
file( GLOB samples_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.tmpl" )

install( FILES ${samples_files}
         DESTINATION share/${PROJECT_NAME}/samples
         PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ )

foreach( tmpl ${samples_files} )
    list( APPEND GRIB_API_SAMPLES_FILES ${CMAKE_CURRENT_SOURCE_DIR}/${tmpl} )
endforeach()

set( GRIB_API_SAMPLES_DIR   ${CMAKE_CURRENT_SOURCE_DIR} PARENT_SCOPE )
set( GRIB_API_SAMPLES_FILES ${GRIB_API_SAMPLES_FILES}   PARENT_SCOPE )

# link to the samples in the build directory
file( MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/share/${PROJECT_NAME} )
if( NOT EXISTS "${CMAKE_BINARY_DIR}/share/${PROJECT_NAME}/samples" )
    execute_process( COMMAND "${CMAKE_COMMAND}" "-E" "create_symlink"
      "${CMAKE_CURRENT_SOURCE_DIR}"
      "${CMAKE_BINARY_DIR}/share/${PROJECT_NAME}/samples" )
endif()

=== data/tigge/CMakeLists.txt ===
# data/tigge/CMakeLists.txt
# Download all the TIGGE grib data from website

file(READ "tigge_data_files.txt" tigge_files_to_download)
string(REGEX REPLACE "\n" ";" tigge_files_to_download "${tigge_files_to_download}")

# Download all data files doing md5 check on each
ecbuild_get_test_multidata( TARGET grib_api_download_tigge_gribs
                            NAMES ${tigge_files_to_download} )

if( ENABLE_TESTS )
  set_property( TEST grib_api_download_tigge_gribs APPEND PROPERTY LABELS download_data )
endif()

=== debian/changelog ===
grib-api (1.19.0-2) unstable; urgency=medium

  [ Scott Kitterman ]
  * Build for all supported python3 versions. Closes: #867604

  [ Alastair McKinstry ]
  * Standards-Version: 4.0.0; no changes required
  * Depend on libeccodes-data rather than shipping files in libgrib-api0
    Closes: #844064

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Jul 2017 12:32:46 +0100

grib-api (1.19.0-1) unstable; urgency=medium

  * New upstream release
  * Make libgrib-api-tools conflict with libeccodes-tools

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 28 Nov 2016 15:43:29 +0000

grib-api (1.18.0-2) unstable; urgency=medium

  * Build --no-parallel for FTBFS on some systems

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Nov 2016 21:29:42 +0000

=== debian/control ===
Source: grib-api
Section: libdevel
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Uploaders: Enrico Zini <enrico@debian.org>
Build-Depends: debhelper (>= 10), dh-buildinfo, cmake,
  libjpeg-dev, libpng-dev, gfortran, flex, bison, quilt,
  libnetcdf-dev, libboost-dev, libhdf5-dev, 
  libopenjp2-7-dev,
  curl,swig, 
  python3-all-dev,  python3-numpy, python3-six,
  python-all-dev, python-numpy, python-six,
  dh-python, chrpath, 
  python-setuptools, python3-setuptools,
  libaec-dev
Standards-Version: 4.0.0
Build-Conflicts: libgrib-api-dev, libjasper-dev, libopenjpeg-dev, libeccodes-dev
X-Python-Version: >= 2.6
Homepage: https://software.ecmwf.int/wiki/display/GRIB/Home
Vcs-Git: git://anonscm.debian.org/collab-maint/gribapi.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gribapi.git

Package: libgrib-api0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeccodes-data
Replaces: libgrib-api-data (<< 1.9.0~)
Breaks: libgrib-api-data (<< 1.9.0~)
Conflicts: libgrib-api-0d-0, libgrib-api-0d-1, libgrib-api-1.9.9, libgrib-api-1.9.16, libgrib-api-1.10.4
Description: GRIB decoding/encoding software library
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: libgrib-api-dev
Section: libdevel
Architecture: any
Depends: libgrib-api0 (= ${binary:Version}), ${misc:Depends}, 
 libaec-dev, libpng-dev, libjpeg-dev, zlib1g-dev
Conflicts: libeccodes-dev
Description: GRIB decoding/encoding software library (development)
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.
 
Package: libgrib-api-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: python3-gribapi, python-gribapi
Conflicts: libeccodes-dev
Description: GRIB decoding/encoding software (utilities)
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 This is a useful set of command line tools to give quick access to grib
 messages.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: libgrib-api-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: GRIB decoding/encoding software (documentation)
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 This provides the documentation for the library.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: python-gribapi
Section: python
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Python module for the ECMWF GRIB API library
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 This is a Python wrapper for the GRIB API library.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: python3-gribapi
Section: python
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: Python3 module for the ECMWF GRIB API library
 The ECMWF GRIB API is an application program interface accessible from C and
 FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1
 and edition 2 messages.
 .
 This is a Python3 wrapper for the GRIB API library.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_LDFLAGS_MAINT_PREPEND := -Wl,-z,defs -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
BUILDDIR=$(CURDIR)/debian/build
UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')

# For hardening
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS) #  -fPIC
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

PY3VERSM:=$(shell py3versions -s)

export LDFLAGS CFLAGS CXXFLAGS

# Don't test on mips. will time out most of the time on low-powered archs
DO_TEST:=true
ARCH:=$(shell dpkg --print-architecture)
ifeq ($(ARCH), mips)
DO_TEST:=false
endif
ifeq ($(ARCH),hppa)
DO_TEST:=false
endif

BUILD_FLAGS =  \
	    -DCMAKE_BUILD_TYPE=Release \
	    -DDISABLE_OS_CHECK=ON \
	    -DENABLE_PNG=ON -DENABLE_PYTHON=ON \
	    -DENABLE_AEC=ON \
	    -DENABLE_RPATHS=OFF \
	    -DENABLE_RELATIVE_RPATHS=OFF \
	    -DHAVE_BIT_REPRODUCIBLE=ON \
	    -DCFLAGS="${CFLAGS} ${LDFLAGS}" \
	    -DENABLE_ALIGN_MEMORY=ON -DENABLE_GRIB_TIMER=ON \
	    -DENABLE_GRIB_OMP_THREADS=ON

%:
	dh $@ --buildsystem=cmake --with=python2,python3 --no-parallel

override_dh_auto_configure:
	set -e && for i in $(PY3VERSM); do \
	  F77=gfortran dh_auto_configure --builddirectory=debian/build-$$i  -- \
		-DPYTHON_EXECUTABLE=/usr/bin/$$i \
		${BUILD_FLAGS} ; \
	  ( cd debian/build-$$i/data ; tar axpf $(CURDIR)/../grib-api_$(UPSTREAM_VERSION).orig-data.tar.xz ) ; \
	done
	F77=gfortran dh_auto_configure --builddirectory=debian/build-py2  -- \
		-DPYTHON_EXECUTABLE=/usr/bin/python2 \
		${BUILD_FLAGS}
	( cd debian/build-py2/data ; tar axpf $(CURDIR)/../grib-api_$(UPSTREAM_VERSION).orig-data.tar.xz )
#	    -DENABLE_MEMORY_MANAGEMENT=ON \


override_dh_auto_build:
	dh_auto_build  --builddirectory=debian/build-py2
	set -e && for i in $(PY3VERSM); do \
	  dh_auto_build  --builddirectory=debian/build-$$i ; \
	done

override_dh_auto_install:
	dh_auto_install  --builddirectory=debian/build-py2
	set -e && for i in $(PY3VERSM); do \
	  dh_auto_install  --builddirectory=debian/build-$$i ; \
	done

override_dh_auto_test:
	# We need python code properly installed in debian/tmp to separate python2, python3 extensions when testing
	(cd debian/build-py2 && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp AM_UPDATE_INFO_DIR=no)
	$(DO_TEST) && ( LD_LIBRARY_PATH=$(CURDIR)/debian/build-py2/lib ; PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/site-packages \
		dh_auto_test --builddirectory=debian/build-py2  ) || true
	set -e && for i in $(PY3VERSM); do \
	  (cd debian/build-$$i && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp AM_UPDATE_INFO_DIR=no) ; \
	  $(DO_TEST) && ( LD_LIBRARY_PATH=$(CURDIR)/debian/build-$$i/lib ; PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/$$i/site-packages \
		dh_auto_test --builddirectory=debian/build-$$i  ) || true ; \
	done

override_dh_install:
	for d in libgrib_api_f77.so  libgrib_api_f90.so	libgrib_api.so ; do \
		cp debian/tmp/usr/lib/$$d.0 debian/tmp/usr/lib/$$d.0.0.0 ; \
		chrpath -d debian/tmp/usr/lib/$$d.0.0.0 ; done
	chrpath -d ./debian/tmp/usr/lib/python*/site-packages/gribapi/_gribapi_swig.so
	for d in debian/tmp/usr/bin/* ; do \
		( chrpath -d $$d || echo "Ignoring chrpath error for non-ELF $d" ); \
		done
	dh_numpy
	dh_numpy3
	dh_install
	#
	# Setup cmake files for magics++, metview, etc.
	#
	mkdir -p debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api
	cp debian/tmp/usr/share/grib_api/cmake/* debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api
	cat debian/tmp/usr/share/grib_api//cmake/grib_api-targets-release.cmake | \
	sed -e 's% *IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE.*%  IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE ""%' \
		-e 's%$${_IMPORT_PREFIX}%/usr%g' \
                > debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api/grib_api-targets-release.cmake
	cat debian/tmp/usr/share/grib_api//cmake/grib_api-config.cmake | \
	sed -e 's%^set( grib_api_BASE_DIR.*%set ( grib_api_BASE_DIR /build/grib-api )%' | \
	sed -e 's%^set( GRIB_API_TPLS.*%set( GRIB_API_TPLS "")%' | \
	sed -e 's%^set( GRIB_API_TPL_LIBRARIES.*%set( GRIB_API_TPL_LIBRARIES "" )%' \
		> debian/libgrib-api-dev/$(LIBDIR)/cmake/grib_api/grib_api-config.cmake

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/build-*
	# Things that upstream leaves behind
	rm -f python/gribapi.pyc
	rm -f tests/bitmap.rules tests/out.grib1 tests/out.grib2 tests/out.gribidx \
	      tests/rules tests/simple_ieee_test.grib1.txt tests/statistics.filter \
	      tests/statistics.out tests/x.grib \
	      data/change_scanning_rotated_ll.filter examples/F90/index.idx

override_dh_installexamples:
	dh_installexamples -X.pyc

override_dh_fixperms-arch:
	dh_fixperms
	chmod 644 debian/libgrib-api-dev/usr/share/doc/libgrib-api-dev/examples/python/README

## grib-api 1.23.0

=== data/tigge/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,3 @@
 ecbuild_get_test_multidata( TARGET grib_api_download_tigge_gribs
                             NAMES ${tigge_files_to_download} )
 
-if( ENABLE_TESTS )
-  set_property( TEST grib_api_download_tigge_gribs APPEND PROPERTY LABELS download_data )
-endif()

=== debian/changelog ===
grib-api (1.23.0-3) unstable; urgency=medium

  * Remove symlink. Closes: #870583
  * Conflict: python3-gribapi and python3-eccodes

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Aug 2017 07:29:45 +0100

grib-api (1.23.0-2) unstable; urgency=medium

  * Add link /usr/share/grib_api -> /usr/share/eccodes and _really_
    dont ship the data
  * Fix regression on python3.6 support in rules

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Aug 2017 13:27:51 +0100

grib-api (1.23.0-1) unstable; urgency=medium

  * New upstream release
  * S-V: 4.0.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Feb 2017 08:28:26 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Package: libgrib-api0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libeccodes-data
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libgrib-api-data (<< 1.9.0~)
 Breaks: libgrib-api-data (<< 1.9.0~)
 Conflicts: libgrib-api-0d-0, libgrib-api-0d-1, libgrib-api-1.9.9, libgrib-api-1.9.16, libgrib-api-1.10.4
@@ -95,6 +95,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
 Provides: ${python3:Provides}
+Conflicts: python3-eccodes
 Description: Python3 module for the ECMWF GRIB API library
  The ECMWF GRIB API is an application program interface accessible from C and
  FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1

## grib-api 1.23.1

=== debian/changelog ===
grib-api (1.23.1-1build2) bionic; urgency=medium

  * Rebuild against new libnetcdf13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 13:31:42 +0200

grib-api (1.23.1-1build1) bionic; urgency=medium

  * Rebuild against new libnetcdf13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 10:07:54 +0200

grib-api (1.23.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.0.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 13 Aug 2017 12:36:40 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
   dh-python, chrpath, 
   python-setuptools, python3-setuptools,
   libaec-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.0.1
 Build-Conflicts: libgrib-api-dev, libjasper-dev, libopenjpeg-dev, libeccodes-dev
 X-Python-Version: >= 2.6
 Homepage: https://software.ecmwf.int/wiki/display/GRIB/Home

=== debian/rules ===
--- 
+++ 
@@ -45,29 +45,27 @@
 
 override_dh_auto_configure:
 	set -e && for i in $(PY3VERSM); do \
-	  F77=gfortran dh_auto_configure --builddirectory=debian/build-$$i  -- \
+	F77=gfortran dh_auto_configure --builddirectory=debian/build-$$i  -- \
 		-DPYTHON_EXECUTABLE=/usr/bin/$$i \
 		${BUILD_FLAGS} ; \
-	  ( cd debian/build-$$i/data ; tar axpf $(CURDIR)/../grib-api_$(UPSTREAM_VERSION).orig-data.tar.xz ) ; \
-	done
+		( cd debian/build-$$i/data ; tar axpf $(CURDIR)/../grib-api_$(UPSTREAM_VERSION).orig-data.tar.xz ) ; \
+		done
 	F77=gfortran dh_auto_configure --builddirectory=debian/build-py2  -- \
 		-DPYTHON_EXECUTABLE=/usr/bin/python2 \
 		${BUILD_FLAGS}
 	( cd debian/build-py2/data ; tar axpf $(CURDIR)/../grib-api_$(UPSTREAM_VERSION).orig-data.tar.xz )
-#	    -DENABLE_MEMORY_MANAGEMENT=ON \
-
 
 override_dh_auto_build:
 	dh_auto_build  --builddirectory=debian/build-py2
-	set -e && for i in $(PY3VERSM); do \
-	  dh_auto_build  --builddirectory=debian/build-$$i ; \
-	done
+	set -e && for i	in $(PYVERS3M);	do \
+		dh_auto_build  --builddirectory=debian/build-$$i  ; \
+		done
 
 override_dh_auto_install:
 	dh_auto_install  --builddirectory=debian/build-py2
-	set -e && for i in $(PY3VERSM); do \
-	  dh_auto_install  --builddirectory=debian/build-$$i ; \
-	done
+	set -e && for i	in $(PY3VERSM);	do \
+		dh_auto_install  --builddirectory=debian/build-$$i ; \
+		done
 
 override_dh_auto_test:
 	# We need python code properly installed in debian/tmp to separate python2, python3 extensions when testing
@@ -75,10 +73,11 @@
 	$(DO_TEST) && ( LD_LIBRARY_PATH=$(CURDIR)/debian/build-py2/lib ; PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/site-packages \
 		dh_auto_test --builddirectory=debian/build-py2  ) || true
 	set -e && for i in $(PY3VERSM); do \
-	  (cd debian/build-$$i && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp AM_UPDATE_INFO_DIR=no) ; \
-	  $(DO_TEST) && ( LD_LIBRARY_PATH=$(CURDIR)/debian/build-$$i/lib ; PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/$$i/site-packages \
-		dh_auto_test --builddirectory=debian/build-$$i  ) || true ; \
-	done
+		(cd debian/build-$$i && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp AM_UPDATE_INFO_DIR=no) ; \
+		$(DO_TEST) && ( LD_LIBRARY_PATH=$(CURDIR)/debian/build-$$i/lib ;  \
+			PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/$$i/site-packages \
+				dh_auto_test --builddirectory=debian/build-$$i  ) || true ; \
+		done
 
 override_dh_install:
 	for d in libgrib_api_f77.so  libgrib_api_f90.so	libgrib_api.so ; do \

## grib-api 1.24.0

=== debian/changelog ===
grib-api (1.24.0-3) unstable; urgency=medium

  * Make grib-api-tools depend on libeccodes-data. Files needed.
    Closes: #882995
  * Mark libgrib-api-doc as M-A: foreign

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 28 Nov 2017 14:11:11 +0000

grib-api (1.24.0-2) unstable; urgency=medium

  * Remove build path from cmake, grib-api_ecbuild-config.h files for
    bit-reproducibility
  * Drop B-D on curl

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 12 Oct 2017 15:51:16 +0100

grib-api (1.24.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.1; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 04 Oct 2017 10:57:38 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
   libjpeg-dev, libpng-dev, gfortran, flex, bison, quilt,
   libnetcdf-dev, libboost-dev, libhdf5-dev, 
   libopenjp2-7-dev,
-  curl,swig, 
+  swig, 
   python3-all-dev,  python3-numpy, python3-six,
   python-all-dev, python-numpy, python-six,
   dh-python, chrpath, 
   python-setuptools, python3-setuptools,
   libaec-dev
-Standards-Version: 4.0.1
+Standards-Version: 4.1.1
 Build-Conflicts: libgrib-api-dev, libjasper-dev, libopenjpeg-dev, libeccodes-dev
 X-Python-Version: >= 2.6
 Homepage: https://software.ecmwf.int/wiki/display/GRIB/Home
@@ -50,7 +50,7 @@
 Package: libgrib-api-tools
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libeccodes-data
 Recommends: python3-gribapi, python-gribapi
 Conflicts: libeccodes-dev
 Description: GRIB decoding/encoding software (utilities)
@@ -66,6 +66,7 @@
 Package: libgrib-api-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: GRIB decoding/encoding software (documentation)
  The ECMWF GRIB API is an application program interface accessible from C and
